function obj=randnsym(N,d,varargin)
% FUNCTION fc_amat.random.randnsym
% -- randnsym(N,d) 
%      Returns a N-by-d-by-d amat object whose matrices are symmetric with 
%      normally distributed random elements having zero mean and variance one.
%
%      Optional key/value pairs arguments are available with keys:
%        - 'class', value can be 'single' or 'double' (default).
%
%      See also: fc_amat.random.randnher,
%                class amat
%
  p = inputParser; 
  p.addParamValue('class','double',@(x) ismember(lower(x),{'single','double'})); 
  p.parse(varargin{:});
  classname=p.Results.class;
  obj=amat(N,d,d,classname);
  for i=1:d
    obj(i,i)=randn(N,1,classname);
    for j=i+1:d
      obj(i,j)=randn(N,1,classname);
      obj(j,i)=obj(i,j);
    end
  end
end
