function init(varargin)
  p = inputParser;
  p.KeepUnmatched=true;
  p.addParamValue('verbose', 1, @(x) ismember(x,0:2) ); % level of verbosity 
  p.parse(varargin{:});
  R=p.Results;verbose=R.verbose;
  
  if isOctave()
    warning('off','Octave:shadowed-function')
    more off
  end
  env=fc_amat.environment();
  
  if isdir(env.fc_bench_dir), addpath(env.fc_bench_dir);rehash path; end
  try
    fc_bench.init(varargin{:})
  catch ME
    fprintf('[fc-amat] Unable to load the fc-bench toolbox/package!\n')
    fprintf('[fc-amat] Use fc_amat.configure(''fc_bench_dir'',<DIR>) to correct this issue\n\n');
    rethrow(ME)
  end
  if verbose==2
    fprintf('Using fc-amat toolbox/package [%s]:\n',fc_amat.version());
    fprintf('  -> %20s %s\n','fc-tools',fc_tools.version());
    fprintf('  -> %20s %s\n','fc-bench',fc_bench.version());
  end
  if verbose>=1,fprintf('fc-amat[%s] package/toolbox is ready to use!\n',fc_amat.version());end
end

function bool=isOctave()
  log=ver;bool=strcmp(log(1).Name,'Octave');
end
